Rental Records
Add a fee or service to monthly billing
Adds a recurring fee or service to the unit rental record’s billing template. The fee will appear on the next monthly invoice generated by the invoice generation job. If the next invoice has already been generated, it will not be updated.
Only item types where isRecurring is true can be added; only FEES and SERVICES categories that are assigned to the facility (via organization item tax rate) and active are valid.
POST
/
api
/
{portfolio}
/
portfolios
/
v1
/
facilities
/
{facilityUuid}
/
rentalRecords
/
{unitRentalRecordUuid}
/
addFeeToMonthlyBilling
Add a fee or service to monthly billing
curl --request POST \
--url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/rentalRecords/{unitRentalRecordUuid}/addFeeToMonthlyBilling \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"itemTypeUuid": "11111111-1111-1111-1111-111111111111"
}
'import requests
url = "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/rentalRecords/{unitRentalRecordUuid}/addFeeToMonthlyBilling"
payload = { "itemTypeUuid": "11111111-1111-1111-1111-111111111111" }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({itemTypeUuid: '11111111-1111-1111-1111-111111111111'})
};
fetch('https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/rentalRecords/{unitRentalRecordUuid}/addFeeToMonthlyBilling', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Body
application/json
Item type UUID of the recurring fee or service to add
Item type UUID of the recurring fee or service to add to monthly billing
Example:
"11111111-1111-1111-1111-111111111111"
Response
Fee added to monthly billing successfully
⌘I
Add a fee or service to monthly billing

